Skip to main content
GET
/
audits
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.list({});

  console.log(result);
}

run();
{
  "results": {
    "data": [
      {
        "id": "65fc81a3359c8508c9af880f",
        "customerOrganizationName": "corporation.com",
        "customerDisplayName": "Corporation Company",
        "customerOrganizationId": "65fc81a3359c8508c9af880f",
        "auditStartDate": "2024-03-07T21:25:56.000Z",
        "auditEndDate": "2024-03-14T21:25:56.000Z",
        "earlyAccessStartsAt": "2024-03-07T21:25:56.000Z",
        "framework": "SOC 2 Type II",
        "displayName": "Q1 2024 SOC 2 Audit",
        "allowAuditorEmails": [
          "sam@auditor.com"
        ],
        "allowAllAuditors": true,
        "deletionDate": "2024-03-07T21:25:56.000Z",
        "creationDate": "2024-03-07T21:25:56.000Z",
        "modificationDate": "2024-03-07T21:25:56.000Z",
        "completionDate": "2024-03-07T21:25:56.000Z",
        "auditFocus": "EXTERNAL",
        "auditorRequestListMetadata": {
          "requestsSharedWithCustomer": "2024-03-07T21:25:56.000Z"
        }
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
      "endCursor": "YXJyYXljb25uZWN0aW9uOjE="
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the listAudits API.

We have increased the pagination size for this endpoint to enable our upmarket audit firms to sync in a timely manner. The rest of the API will use a pagination size of 100.

Required range: 1 <= x <= 200
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

changedSinceDate
string<date-time>

Includes all audits that have changed since changedSinceDate.

isActiveAudit
boolean

Includes only audits with no audit report uploaded

Response

200 - application/json

Ok

results
object
required